%define realname Catalyst-Plugin-Authentication-Store-DBIC
%define abbrevname Catalyst-P-A-Store-DBIC
%define name	perl-%{abbrevname}
%define	modprefix Catalyst

%define version	0.07
%define release	%mkrel 1

Summary:	Authentication and authorization against a Class::DBI model
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Authentication) >= 0.06
BuildRequires:	perl(DBI)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Set::Object) >= 1.14
Provides:	perl-%{realname}
Obsoletes:	perl-%{realname}
BuildArch:	noarch
Buildroot:	%_tmppath/%{name}-%{version}-%{release}-buildroot

%description
This Catalyst plugin uses a DBIx::Class (or Class::DBI) object to
authenticate a user.


%prep
%setup -q -n %realname-%version

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%perl_vendorlib/%{modprefix}
%_mandir/*/*

%clean
rm -rf %{buildroot}



%changelog
* Mon Aug 07 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-07 23:43:23 (54246)
- Version 0.07- Added BuildRequires perl(DBI)

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-06 21:13:16 (53630)
- import perl-Catalyst-P-A-Store-DBIC-0.06-1mdk

* Tue May 16 2006 Scott Karns <scottk@mandriva.org> 1:0.06-1mdk
- Updated to release 0.06

* Fri Apr 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05002-2mdk
- Abbreviate rpm name to fit in the 64 char limit

* Mon Mar 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.05002-1mdk
- New release 0.05002

* Thu Jan 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial MDV RPM

